DEBIAN-BASH
===========

DEBIAN-BASH is a collection of settings and helpers for BASH provided by *Artcode*. Featuring :

* some aliases (l, ll, ltr, ...)
* a smart prompt
  * git, lxd, failure aware
* simple vim settings 

It's Free Software (GPLv3), help yourself. Any feedback would be appreciated. [contact@artcode.re](mailto:contact@artcode.re)

install
-------------

`curl https://git.artcode.re/pvincent/debian-bash/raw/branch/master/install.sh | sudo bash -s -- --host`

uninstall
---------

* `cd /opt/debian-bash && sudo ./uninstall.sh`

development mode (credentials required)
---------------------------------------

* git clone git@artcode.re:pvincent/debian-bash.git -C ~/DEV/BASH
* sudo ln -s $HOME/DEV/BASH/debian-bash /opt/debian-bash
* sudo /opt/debian-bash/install.sh --host

useful library 
--------------

* source /opt/debian-bash/lib/functions.sh

bindkeys
--------

### by default

* CTRL + C => stop program
* CTRL + V => display bindkey
* CTRL + Z => interrupt for background job (fg, bg)

* SHIFT + CTRL + C => copy
* SHIFT + CTRL + V => paste

### customized

* CTRL LEFT, RIGHT => move between words
* CTRL DELETE, BACKSPACE => delete word
* ALT DELETE, BACKSPACE => delete line from cursor
* CTRL + SHIFT + / => undo


